gr-baz Package

gr::baz::interleaver Class Reference

Detect the peak of a signal. More...

`#include <baz_interleaver.h>`

Inheritance diagram for gr::baz::interleaver:
[legend]

## Public Types
typedef boost::shared_ptr< interleaver > | sptr

## Static Public Member Functions
static sptr | make (int item_size, int vlen_in, int vlen_out, int out_trigger=0, int output_ports=1, bool top_down_in=false, bool vector_in=true, bool vector_out=true, bool verbose=false)

## Detailed Description

Detect the peak of a signal.

If a peak is detected, this block outputs a 1, or it outputs 0's.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<interleaver> gr::baz::interleaver::sptr

## Member Function Documentation

## ◆ make()

sptr gr::baz::interleaver::make | ( | int | item_size,
|  | int | vlen_in,
|  | int | vlen_out,
|  | int | out_trigger = 0,
|  | int | output_ports = 1,
|  | bool | top_down_in = false,
|  | bool | vector_in = true,
|  | bool | vector_out = true,
|  | bool | verbose = false )
| static

The documentation for this class was generated from the following file:

- baz_interleaver.h